package com.ruoyi.pay.service;

import com.ruoyi.pay.domain.PayDwHoursContrast;
import com.ruoyi.pay.domain.vo.PayDwHoursContrastVo;
import com.ruoyi.pay.domain.bo.PayDwHoursContrastBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 日工工时时间关联Service接口
 *
 * @author ruoyi
 * @date 2025-05-12
 */
public interface IPayDwHoursContrastService {

    /**
     * 查询日工工时时间关联
     */
    PayDwHoursContrastVo queryById(Long id);

    /**
     * 查询日工工时时间关联列表
     */
    TableDataInfo<PayDwHoursContrastVo> queryPageList(PayDwHoursContrastBo bo, PageQuery pageQuery);

    /**
     * 查询日工工时时间关联列表
     */
    List<PayDwHoursContrastVo> queryList(PayDwHoursContrastBo bo);

    /**
     * 新增日工工时时间关联
     */
    Boolean insertByBo(PayDwHoursContrastBo bo);

    /**
     * 修改日工工时时间关联
     */
    Boolean updateByBo(PayDwHoursContrastBo bo);

    /**
     * 校验并批量删除日工工时时间关联信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
